Bug 204227 - Review Request: foremost - Console program to recover files based on their headers
Review Request: foremost - Console program to recover files based on their he...
Status: CLOSED DUPLICATE of bug 167034
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-27 05:59 EDT by Daniel Rindt
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 10:33:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Rindt 2006-08-27 05:59:36 EDT
Spec URL: http://rindt.name/fileadmin/download/fedora/SPECS/foremost.spec
SRPM URL: http://rindt.name/fileadmin/download/fedora/SRPMS/foremost-1.2-1.src.rpm
Description: Foremost is a console program to recover files based on their
headers, footers, and internal data structures.
This process is commonly referred to as data carving.
Comment 1 Parag AN(पराग) 2006-08-31 09:11:42 EDT
{Not a official review}
packaging looks ok.
+ Mockbuild is successfull for i386 FC6 with warnings
config.c: In function 'translate':
config.c:27: warning: value computed is not used
config.c:32: warning: value computed is not used
config.c:37: warning: value computed is not used
config.c:42: warning: value computed is not used
config.c:47: warning: value computed is not used
config.c:52: warning: value computed is not used
config.c:57: warning: value computed is not used

+ rpmlint on binary rpm is silent
+ dist tag is present
+ Buildroot is correct
+ source URL is correct
+ BR is correct
+ License used is GPL
+ License file COPYING is included
+ Desktop file is handled correctly
+ MD5 sum on tarball is matching upstream tarball
650f6e42c1604a39601a48c3fffd814a  foremost-1.2.tar.gz.1
+ No duplicate files
Comment 2 Daniel Rindt 2006-08-31 09:26:36 EDT
and now?
Comment 3 Parag AN(पराग) 2006-08-31 09:30:10 EDT
wait for official package review
Comment 4 Toshio Kuratomi 2006-09-04 13:11:53 EDT
Hi, this package is already in Fedora Extras for FC4 on.
Comment 5 Daniel Rindt 2006-09-05 03:51:22 EDT
hm, iam using FC5 and in the Extras Repo didn't find it. What have i to do now?
Comment 6 Toshio Kuratomi 2006-09-14 14:08:37 EDT
Sorry, I missed your entry earlier.

I find foremost in the repository for FC5 Extras:

$ repoquery foremost
foremost-0:1.3-0.1.20060826.fc5.x86_64

Looked on mirrors.kernel.org and it's definitely in the i386 repository as well.
Comment 7 Till Maas 2006-09-19 10:33:36 EDT
I am closing this bug since foremost is already in fedora extras, see #167034 
and 
http://download.fedora.redhat.com/pub/fedora/linux/extras/5/i386/repodata/repoview/foremost-0-1.3-0.1.20060826.fc5.html

Daniel, maybe you are using an out-of-sync mirror, you can check this in your 
yum config.

*** This bug has been marked as a duplicate of 167034 ***

Note You need to log in before you can comment on or make changes to this bug.